Software/Browser Requirements

Web Browser

The Brokers of Expertise Web site is optimized for the following Web browsers: Microsoft® Internet Explorer 7.0 or higher, Mozilla Firefox 3.5 or higher, and Safari 2.0 or higher.

You may encounter problems viewing BOE content or resources if you use an earlier version or a Web browser that is not listed above. Visit one of the following links to upgrade your browser to a current version:

Plug-Ins

Plug-ins are additional software programs that allow your browser to perform special functions, like viewing audio or video clips. Some of the resources available through BOE may require a particular plug-in to access content. You can find links to download and install some frequently-used plug-ins here:

  • Adobe Reader - Allows you to view and print Adobe PDF documents
  • Adobe Flash Player - Provides access to animated or interactive Flash resources
  • Shockwave Player - Provides access to Shockwave animated or interactive resources
  • Java - Provides access to online games, chat, and many interactive tools on the Web
  • RealOne Player - Allows you to play Real audio and video clips
  • QuickTime - Allows you to play Quicktime audio and video clips
  • Windows Media Player - Allows you to play Windows Media audio and video clips

Need Help? Contact the BOE Help Desk if you have questions or need assistance. You may use the  contact form or send help requests to webmaster@myboe.org.